Package org.italiangrid.voms.request.impl

# Class LegacyVOMSResponseParsingStrategy

java.lang.Object
org.italiangrid.voms.request.impl.LegacyVOMSResponseParsingStrategy

All Implemented Interfaces:
  `VOMSResponseParsingStrategy`

public class LegacyVOMSResponseParsingStrategy extends Object implements VOMSResponseParsingStrategy
Parsing strategy for legacy VOMS responses.

Author:
  valerioventuri

## Field Summary

Fields
Modifier and Type
Field
Description
`protected DocumentBuilder`
`documentBuilder`

## Constructor Summary

Constructors
Constructor
Description
`LegacyVOMSResponseParsingStrategy()`

## Method Summary

Modifier and Type
Method
Description
`VOMSResponse`
`parse(InputStream inputStream)`
Parse the response coming from a VOMS service and build a `VOMSResponse` object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### documentBuilder

protected DocumentBuilder documentBuilder

## Constructor Details

### LegacyVOMSResponseParsingStrategy

public LegacyVOMSResponseParsingStrategy()

## Method Details

### parse

public VOMSResponse parse(InputStream inputStream)
Description copied from interface: `VOMSResponseParsingStrategy`
Parse the response coming from a VOMS service and build a `VOMSResponse` object.

Specified by:
  `parse` in interface `VOMSResponseParsingStrategy`
Parameters:
  `inputStream` - the response from the VOMS service.
Returns:
  the response object representing the response from the service.